import request from '@/utils/request'

// 查询商品规格值列表
export function listMallGoodsSpecValue(query) {
  return request({
    url: '/mall/mallGoodsSpecValue/list',
    method: 'get',
    params: query
  })
}

// 查询商品规格值详细
export function getMallGoodsSpecValue(id) {
  return request({
    url: '/mall/mallGoodsSpecValue/' + id,
    method: 'get'
  })
}

// 新增商品规格值
export function addMallGoodsSpecValue(data) {
  return request({
    url: '/mall/mallGoodsSpecValue',
    method: 'post',
    data: data
  })
}

// 修改商品规格值
export function updateMallGoodsSpecValue(data) {
  return request({
    url: '/mall/mallGoodsSpecValue',
    method: 'put',
    data: data
  })
}

// 删除商品规格值
export function delMallGoodsSpecValue(id) {
  return request({
    url: '/mall/mallGoodsSpecValue/' + id,
    method: 'delete'
  })
}

// 导出商品规格值
export function exportMallGoodsSpecValue(query) {
  return request({
    url: '/mall/mallGoodsSpecValue/export',
    method: 'get',
    params: query
  })
}